be.fgov.ehealth.insurability.core.v1

## Class RecordCommonOutputType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v1.RecordCommonOutputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:34:31+02:00",
                 comments="JAXB RI v2.2.11")
      public class RecordCommonOutputType
      extends Object
      implements Serializable

  The "complex"-type of the RecordCommonOutputType element.

  Java class for RecordCommonOutputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RecordCommonOutputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reference" type="{urn:be:fgov:ehealth:insurability:core:v1}RecordReferenceType" minOccurs="0"/>
               <element name="IoReference" type="{urn:be:fgov:ehealth:insurability:core:v1}RecordReferenceType" minOccurs="0"/>
               <element name="UserReference" type="{urn:be:fgov:ehealth:insurability:core:v1}UserReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordCommonOutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getIoReference()` Gets the value of the ioReference property.
    `BigDecimal` | `getReference()` Gets the value of the reference property.
    `String` | `getUserReference()` Gets the value of the userReference property.
    `void` | `setIoReference(BigDecimal value)` Sets the value of the ioReference property.
    `void` | `setReference(BigDecimal value)` Sets the value of the reference property.
    `void` | `setUserReference(String value)` Sets the value of the userReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordCommonOutputType

          public RecordCommonOutputType()

  - ### Method Detail

    - #### getReference

          public BigDecimal getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `BigDecimal`

    - #### setReference

          public void setReference(BigDecimal value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getIoReference

          public BigDecimal getIoReference()

      Gets the value of the ioReference property.
      Returns:
        possible object is `BigDecimal`

    - #### setIoReference

          public void setIoReference(BigDecimal value)

      Sets the value of the ioReference property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getUserReference

          public String getUserReference()

      Gets the value of the userReference property.
      Returns:
        possible object is `String`

    - #### setUserReference

          public void setUserReference(String value)

      Sets the value of the userReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.